import React from 'react';
import {Anchor, AppShell, AppShellHeader, AppShellMain} from "@mantine/core";
import {Header} from "@/components/header";
import Link from "next/link";

type PageProps = {
    params: {
        contest_id: number
    }
}

const Page = ({params}: PageProps) => {
    return (
        <AppShell header={{height: 70}}>
            <AppShellHeader>
                <Header/>
            </AppShellHeader>
            <AppShellMain>
                <Anchor component={Link} href="/contests/1/A">
                    Просмотр {params.contest_id}
                </Anchor>
            </AppShellMain>
        </AppShell>
    );
};

export default Page;
