import React from 'react';
import {
    AppShell,
    AppShellAside,
    AppShellHeader,
    AppShellMain,
    Button,
    Checkbox,
    Pagination,
    Stack,
    Table,
    TableTbody,
    TableTd,
    TableTh,
    TableThead,
    TableTr,
    TextInput,
    Title
} from "@mantine/core";
import {Header} from "@/components/header";
import Link from "next/link";

export const metadata = {
    title: 'Контесты',
    description: '',
};

const contests = [
    {
        id: 1,
        title: "Соревнование 1",
        startsAt: (new Date()).toISOString(),
        duration: "02:00",
        started: true
    },
    {
        id: 2,
        title: "Соревнование 2",
        startsAt: (new Date()).toISOString(),
        duration: "02:00",
        started: false
    },
    {
        id: 3,
        title: "Соревнование 3",
        startsAt: (new Date()).toISOString(),
        duration: "02:00",
        started: false
    },
    {
        id: 4,
        title: "Соревнование 4",
        startsAt: (new Date()).toISOString(),
        duration: "02:00",
        started: false
    }
]

const Page = () => {
    const rows = contests.map((contest) => (
        <TableTr key={contest.id}>
            <TableTd>{contest.title}</TableTd>
            <TableTd>{contest.startsAt}</TableTd>
            <TableTd>{contest.duration}</TableTd>
            <TableTd>{<Button size="xs"
                              disabled={!contest.started}
                              component={Link}
                              href={`/contests/${contest.id}`}
            >
                {contest.started ? "Войти в контест" : "Не началось"}
            </Button>}
            </TableTd>
        </TableTr>
    ));

    return (
        <AppShell header={{height: 70}}>
            <AppShellHeader>
                <Header/>
            </AppShellHeader>
            <AppShellMain px="16">
                <Stack align="center" w="fit-content" m="auto" pt="16" gap="16">
                    <Title>Контесты</Title>
                    <Table horizontalSpacing="xl">
                        <TableThead>
                            <TableTr>
                                <TableTh>Название</TableTh>
                                <TableTh>Начало</TableTh>
                                <TableTh>Длительность</TableTh>
                                <TableTh></TableTh>
                            </TableTr>
                        </TableThead>
                        <TableTbody>{rows}</TableTbody>
                    </Table>
                    <Pagination total={10} />
                </Stack>
            </AppShellMain>
            <AppShellAside withBorder={false} px="16" >
                <Stack pt="16">
                    <TextInput placeholder="Поиск"/>
                    <Checkbox label="Завершенные"/>
                </Stack>
            </AppShellAside>
        </AppShell>
    );
};

export default Page;
