import React from 'react';
import {AppShell, AppShellHeader, AppShellMain, Button, Group, Select, Stack, TextInput} from "@mantine/core";
import {Header} from "@/components/header";

type PageProps = {
    params: {
        user_id: number
    }
}

const roles = [
    "Participant", "Moderator", "Admin"
]

const Page = ({params}: PageProps) => {
    return (
        <AppShell header={{height: 70}}>
            <AppShellHeader>
                <Header/>
            </AppShellHeader>
            <AppShellMain px="16">
                <Stack align="center">
                    <Group align="end" w="fit-content" m="auto" pt="16" gap="16">
                        <TextInput label="Никнейм" placeholder="Никнейм" defaultValue="user228"/>
                        <Select data={roles} label="Роль" defaultValue={roles[0]} allowDeselect={false}/>
                        <Button label="Пароль">Сменить пароль</Button>
                    </Group>
                    <Button disabled w="fit-content">Сохранить</Button>
                </Stack>
            </AppShellMain>
        </AppShell>
    );
};

export default Page;
