import React from 'react';
import {
    ActionIcon,
    AppShell,
    AppShellAside,
    AppShellHeader,
    AppShellMain,
    Pagination,
    Stack,
    Table,
    TableTbody,
    TableTd,
    TableTh,
    TableThead,
    TableTr,
    TextInput,
    Title
} from "@mantine/core";
import {Header} from "@/components/header";
import Link from "next/link";
import {IconPencil} from "@tabler/icons-react";

export const metadata = {
    title: 'Пользователи',
    description: '',
};

const users = [
    {
        id: 1,
        username: "user228",
        email: "use***@gmail.com",
        role: "Admin",
    },
    {
        id: 2,
        username: "user229",
        email: "use***@mail.ru",
        role: "Participant",
    },
    {
        id: 3,
        username: "user365",
        email: "use***@yandex.ru",
        role: "Moderator",
    },
    {
        id: 4,
        username: "user777",
        email: "use***@yahoo.com",
        role: "Moderator",
    },
]

const Page = () => {
    const rows = users.map((user) => (
        <TableTr key={user.id}>
            <TableTd>{user.username}</TableTd>
            <TableTd>{user.email}</TableTd>
            <TableTd>{user.role}</TableTd>
            <TableTd>{<ActionIcon size="xs" component={Link} href={`/users/${user.id}`}>
                <IconPencil/>
            </ActionIcon>}
            </TableTd>
        </TableTr>
    ));

    return (
        <AppShell header={{height: 70}}>
            <AppShellHeader>
                <Header/>
            </AppShellHeader>
            <AppShellMain px="16">
                <Stack align="center" w="fit-content" m="auto" pt="16" gap="16">
                    <Title>Пользователи</Title>
                    <Table horizontalSpacing="xl">
                        <TableThead>
                            <TableTr>
                                <TableTh>Никнейм</TableTh>
                                <TableTh>Почта</TableTh>
                                <TableTh>Роль</TableTh>
                                <TableTh></TableTh>
                            </TableTr>
                        </TableThead>
                        <TableTbody>{rows}</TableTbody>
                    </Table>
                    <Pagination total={10}/>
                </Stack>
            </AppShellMain>
            <AppShellAside withBorder={false} px="16">
                <Stack pt="16">
                    <TextInput placeholder="Поиск"/>
                </Stack>
            </AppShellAside>
        </AppShell>
    );
};

export default Page;
